mesos-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Michael Park" <mcyp...@gmail.com>
Subject Re: Review Request 24816: MESOS-1208: Add -Wno-unused-local-typedefs if gcc version is >= 4.8
Date Wed, 20 Aug 2014 20:29:16 GMT

-----------------------------------------------------------
This is an automatically generated e-mail. To reply, visit:
https://reviews.apache.org/r/24816/
-----------------------------------------------------------

(Updated Aug. 20, 2014, 4:29 p.m.)


Review request for mesos, Ben Mahler and Timothy St. Clair.


Bugs: MESOS-1208
    https://issues.apache.org/jira/browse/MESOS-1208


Repository: mesos-git


Description
-------

Fixes `MESOS-1208`. The issue is that starting from GCC 4.8, `-Wall` includes `-Wunused-local-typedefs`
by default. Since `-Werror` is also present, we end up with an error. I think the better fix
would be to update boost, but this fix has less risk.

EDIT: Turns out we were already handling this, but only for GCC 4.8. Modify `configure.ac`
to handle it for >= GCC 4.8 instead.


Diffs
-----

  configure.ac 73ccbbe20cb45d8df60bcf0120b8c248fe969b2c 

Diff: https://reviews.apache.org/r/24816/diff/


Testing
-------

Successfully ran `make`. However, `make check` seems to fail. If all passes with GCC 4.6,
it may be an indication that using GCC 4.9 to compile Mesos has further problems.


Thanks,

Michael Park


Mime
  • Unnamed multipart/alternative (inline, None, 0 bytes)
View raw message